---
object_type: class
version: 1.0
object:
  attributes:
    description: 
    display_name: 
    name: tools
    type: 
    inherits: 
    visibility: 
    owner: 
  schema:
  - field:
      aetype: method
      name: pre1
      display_name: 
      datatype: string
      priority: 1
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: pre2
      display_name: 
      datatype: string
      priority: 2
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: execute
      display_name: 
      datatype: string
      priority: 3
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: check_ready
      display_name: 
      datatype: string
      priority: 4
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: post1
      display_name: 
      datatype: string
      priority: 5
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: post2
      display_name: 
      datatype: string
      priority: 6
      owner: 
      default_value: 
      substitute: true
      message: "*"
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
